#!/bin/bash

REGISTRY=registry.sakal.us
IMAGE_NAME=blog-astro

# get version from package.json and remove quotes:
VERSION=$(pnpm pkg get version | xargs)


docker build -t "${REGISTRY}/${IMAGE_NAME}:v${VERSION}" --target final .
docker push "${REGISTRY}/${IMAGE_NAME}:v${VERSION}"